[Numpy-discussion] installation warning on RH 7.3

Dave Bazell bazell at comcast.net
Mon Dec 9 11:10:04 CST 2002


I just installed numpy on my RH 7.3 system under python 2.2.2.  I get the
following messages when I import Numeric.

Could someone enlighten me as to what this means and what I should do about
it?

Thanks,

Dave Bazell


Python 2.2.2 (#1, Oct 21 2002, 12:22:55)
[GCC 2.96 20000731 (Red Hat Linux 7.3 2.96-110)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import Numeric
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/local/lib/python2.2/site-packages/Numeric/Numeric.py", line 93,
in ?
    from Precision import *
  File "/usr/local/lib/python2.2/site-packages/Numeric/Precision.py", line
26, in ?
    _code_table = _fill_table(typecodes)
  File "/usr/local/lib/python2.2/site-packages/Numeric/Precision.py", line
23, in _fill_table
    table[key] = _get_precisions(value)
  File "/usr/local/lib/python2.2/site-packages/Numeric/Precision.py", line
18, in _get_precisions
    lst.append( (zeros( (1,), t ).itemsize()*8, t) )
ValueError: Invalid type for array
>>> import Numeric
>>>







More information about the Numpy-discussion mailing list